using AprsSharp.Parsers.Aprs;
using GeoCoordinatePortable;
using skyscraper5.Aprs.AprsSharp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.Aprs
{
	internal interface LX9SESStorage
	{
		bool AprsPosition(DateTime currentTime, string packetSender, GeoCoordinate positionCoordinates, string piComment);
		bool AprsWeatherReport(DateTime currentTime, string packetSender, WeatherInfo wi);
		bool AprsStationCapabilities(string packetSender, StationCapabilities stationCapabilities);

		bool AprsGpsSentence(DateTime currentTime, string packetSender, double? course, double? magneticVariation, double? speed);
		void AprsMessage(string sender, DateTime currentTime, string receiver, string message);
	}
}
